<?php

namespace NoccyLabs\DevMode;

class Dependency
{

    protected $name;

    protected $config;

    public function __construct($name, $config=null)
    {
        $this->name = $name;
        $this->config = (array)$config;
    }

    public function getName()
    {
        return $this->name;
    }

    public function getConfig()
    {
        return $this->config;
    }

    public function __get($key)
    {
        if (!array_key_exists($key, $this->config)) {
            return null;
        }
        return $this->config[$key];
    }

}
